Listagem dos Planos
curl --request GET \
--url https://homolog.clubfix.com.br/webservice/plans \
--header 'Accept: <accept>' \
--header 'Authorization: Bearer <token>'import requests
url = "https://homolog.clubfix.com.br/webservice/plans"
headers = {
"Accept": "<accept>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Accept: '<accept>', Authorization: 'Bearer <token>'}};
fetch('https://homolog.clubfix.com.br/webservice/plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 1,
"name": "Proteção Clubfix",
"coverages": [
"Quebra de Tela",
"Danos Líquidos",
"Oxidação",
"Alto Falantes",
"Microfone",
"Danos Internos",
"Conector de Carga",
"Wi-Fi/Sinal"
]
},
{
"id": 2,
"name": "PROTEÇÃO TOTAL + SIGA-ME",
"coverages": [
"Roubo e Furto Qualificado",
"Quebra de Tela",
"Danos Líquidos",
"Oxidação",
"Alto Falantes",
"Microfone",
"Danos Internos",
"Conector de Carga",
"Wi-Fi/Sinal"
]
}
],
"links": {
"first": "https://homolog.clubfix.com.br/webservice/plans?page=1",
"last": "https://homolog.clubfix.com.br/webservice/plans?page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"links": [
{
"url": null,
"label": "« Anterior",
"active": false
},
{
"url": "https://homolog.clubfix.com.br/webservice/plans?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Próxima »",
"active": false
}
],
"path": "https://homolog.clubfix.com.br/webservice/plans",
"per_page": 15,
"to": 2,
"total": 2
}
}Assinaturas
Listar Planos de Assinatura
Retorna os planos de assinatura disponíveis para o parceiro autenticado
GET
/
plans
Listagem dos Planos
string
required
Token de autenticação do tipo Bearer obtido através do endpoint de login.
integer
Número da página para paginação. Padrão:
1.integer
Quantidade de itens por página. Padrão:
15.Resposta
Retorna os planos disponíveis para o parceiro. Cada plano inclui:| Campo | Tipo | Descrição |
|---|---|---|
id | integer | Identificador do plano. Usar como plan_id na contratação e cotação individual |
name | string | Nome do plano |
installments | integer | Número de parcelas do plano (ex: 12) |
Os planos disponíveis são configurados pelo time ClubFix conforme o contrato do parceiro. Cada parceiro pode ter acesso a diferentes planos.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Query Parameters
Was this page helpful?
